Token Management
Notify the token requestor about a token creation.
The notification shares the same 'x-correlation-id' as in the create token request.
If the tokenization failed, the notification only contains information about the error. No token data is provided.
In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.
Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value. Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b
A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed.
The token identifier.
Identifier of the merchant provided by Thales at on-boarding.
The card bin returned by the scheme, just available for VISA and Mastercard SCOF.
453421The card last digits.
2366The card expiry date in format MMYY.
0420The token last digits.
5589The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.Rely on token expiry date in create transaction response for storage.
1022Payment Account Reference returned by the Scheme TSP.
5001a9f027e5629d11e3949a0800aSpecific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.
Token or binding creation timestamp compliant with ISO 8601.
2017-11-10T09:08:24.479ZNo Content
Sin contenido
Bad request - Not Retryable
Unauthorized - Not Retryable
Not Found - Not Retryable
Too Many Requests - Retryable
Internal Server Error - Retryable
Service Unavailable - Retryable
POST /tsh-cof/notify-token-creation HTTP/1.1
Authorization: Basic username:password
authorization: null
x-correlation-id: null
Content-Type: application/json
Accept: */*
Content-Length: 1125
{
"tokenId": "text",
"merchantId": "text",
"cardBin": "453421",
"cardLastDigits": "2366",
"cardExpiryDate": "0420",
"tokenLastDigits": "5589",
"tokenExpiryDate": "1022",
"par": "5001a9f027e5629d11e3949a0800a",
"vProvisionedTokenId": "text",
"cardProduct": {
"issuerName": "Bank Name",
"cardType": "DEBIT",
"scheme": "MASTERCARD",
"supportVisaCTF": true,
"cardDescription": "Card description (premium, basic, etc.).",
"cardArts": {
"foregroundColor": "7FB8C8",
"backgroundColor": "7FB8C9",
"cardBackgroundImageId": "2ee5c858-a6a4-43f1-a503-ffde6c41fad9",
"issuerLogoId": "1fd8594c-5284-4aeb-bb73-6129c1d6cdb2",
"brandLogoId": "623046b7-4a8f-4550-bca8-45b38c9498a3",
"cobrandLogoId": "5548eb95-3aee-4bb8-9abf-38a7ab2c1cf3",
"completeCardImageId": "15ac4371-dcb9-4310-867e-b12338970276",
"cardIconId": "14e3044fa-949e-4900-800f-88b8fc6cc3d5",
"cardImageUrl": "https://stage.assets.mastercard.com/card-art/combined-image-asset/MyBank-mastercard.png"
},
"termsAndConditionsUrl": "https://bank.com/tncs.html",
"privacyPolicyUrl": "https://bank.com/privacyPolicy.html"
},
"error": {
"errorCode": "TSP_NON_RETRYABLE_ERROR",
"errorDetails": "text"
},
"creationTimestamp": "2017-11-10T09:08:24.479Z"
}Sin contenido
Notify the token requestor about a network token update.
In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.
In case of error and retry, all the notifications regarding a token may not be sent in correct order. The parameter 'lastUpdateTimestamp' shall be used to discard obsolete notifications.
Most of the time, the TMG sends all the information it has for the token. But there are some edge error cases for which only the 'tokenId' and the 'tokenState' are sent.
Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value. Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b
A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed.
The token identifier.
Identifier of the merchant provided by Thales at on-boarding.
Token state.PCI token state can only be 'ACTIVE' or 'DELETED'.
ACTIVEValores posibles: The card bin returned by the scheme, just available for VISA and Mastercard SCOF.
453421The card last digits.
2366The card expiry date in format MMYY.
0420The token last digits.
5589The token expiry date in format MMYY. This information can be missing. It is intended for display only at this step.Rely on token expiry date in create transaction response for storage.
1022Payment Account Reference returned by the Scheme TSP.
5001a9f027e5629d11e3949a0800aSpecific to Visa. Another token identifier that shall be used only with Visa Cloud Token Framework.
The list of device identifiers bound to the token as per Visa Cloud Token Framework.
If present and set to 'true', all pre-fetched cryptograms linked to the token shall be discarded as they are no more valid due to the token update.
falseToken or binding creation timestamp compliant with ISO 8601.
2017-11-10T09:08:24.479ZToken or binding last update timestamp compliant with ISO 8601.
2017-11-13T11:012:41.165ZNo Content
Sin contenido
Bad request - Not Retryable
Unauthorized - Not Retryable
Not Found - Not Retryable
Too Many Requests - Retryable
Internal Server Error - Retryable
Service Unavailable - Retryable
POST /tsh-cof/notify-token-update HTTP/1.1
Authorization: Basic username:password
authorization: null
x-correlation-id: null
Content-Type: application/json
Accept: */*
Content-Length: 1179
{
"tokenId": "text",
"merchantId": "text",
"tokenState": "ACTIVE",
"cardBin": "453421",
"cardLastDigits": "2366",
"cardExpiryDate": "0420",
"tokenLastDigits": "5589",
"tokenExpiryDate": "1022",
"par": "5001a9f027e5629d11e3949a0800a",
"vProvisionedTokenId": "text",
"deviceBindings": [
"text"
],
"discardCryptogram": false,
"cardProduct": {
"issuerName": "Bank Name",
"cardType": "DEBIT",
"scheme": "MASTERCARD",
"supportVisaCTF": true,
"cardDescription": "Card description (premium, basic, etc.).",
"cardArts": {
"foregroundColor": "7FB8C8",
"backgroundColor": "7FB8C9",
"cardBackgroundImageId": "2ee5c858-a6a4-43f1-a503-ffde6c41fad9",
"issuerLogoId": "1fd8594c-5284-4aeb-bb73-6129c1d6cdb2",
"brandLogoId": "623046b7-4a8f-4550-bca8-45b38c9498a3",
"cobrandLogoId": "5548eb95-3aee-4bb8-9abf-38a7ab2c1cf3",
"completeCardImageId": "15ac4371-dcb9-4310-867e-b12338970276",
"cardIconId": "14e3044fa-949e-4900-800f-88b8fc6cc3d5",
"cardImageUrl": "https://stage.assets.mastercard.com/card-art/combined-image-asset/MyBank-mastercard.png"
},
"termsAndConditionsUrl": "https://bank.com/tncs.html",
"privacyPolicyUrl": "https://bank.com/privacyPolicy.html"
},
"creationTimestamp": "2017-11-10T09:08:24.479Z",
"lastUpdateTimestamp": "2017-11-13T11:012:41.165Z"
}Sin contenido
Última actualización
¿Te fue útil?